﻿using System;
using System.Data;
using System.Linq;
using RdvMedecins.Entites;
using RdvMedecins.Models;

namespace RdvMedecins_01
{
  class ModifyAttachedEntity
  {
    static void Main(string[] args)
    {
      Client client1, client2, client3;
      // 1er contexte
      using (var context = new RdvMedecinsContext())
      {
        // on vide la base actuelle
        foreach (var client in context.Clients)
        {
          context.Clients.Remove(client);
        }
        foreach (var medecin in context.Medecins)
        {
          context.Medecins.Remove(medecin);
        }
        // on ajoute un client
        client1 = new Client { Nom = "xx", Prenom = "xx", Titre = "xx" };
        context.Clients.Add(client1);
        // suivi
        Console.WriteLine("client1--avant");
        Console.WriteLine(client1);
        // sauvegarde contexte
        context.SaveChanges();
        // suivi
        Console.WriteLine("client1--après");
        Console.WriteLine(client1);
      }
      // 2ième contexte
      using (var context = new RdvMedecinsContext())
      {
        // on récupère client1 dans client2
        client2 = context.Clients.Find(client1.Id);
        // suivi
        Console.WriteLine("client2");
        Console.WriteLine(client2);
        // on modifie client2
        client2.Nom = "yy";
        // sauvegarde contexte
        context.SaveChanges();
      }
      // 3ième contexte
      using (var context = new RdvMedecinsContext())
      {
        // on récupère client2 dans client3
        client3 = context.Clients.Find(client2.Id);
        // suivi
        Console.WriteLine("client3");
        Console.WriteLine(client3);
      }
    }
  }
}
