﻿using System;
using System.Collections.Generic;
using RdvMedecins.Entites;
using Spring.Context.Support;
using RdvMedecins.Dao;

namespace Rdvmedecins.Web
{
  public class Global : System.Web.HttpApplication
  {
    // données statiques de l'application
    public static string Msg = String.Empty;
    public static IDao Dao;
    public static Boolean Erreur = false;
    public static List<Medecin> Medecins;
    public static List<Client> Clients;

    protected void Application_Start(object sender, EventArgs e)
    {
      // on met en cache certaines données de la base de données
      try
      {
        // instanciation couche [dao]
        Dao = ContextRegistry.GetContext().GetObject("rdvmedecinsDao") as IDao;
        // liste des médecins mise en cache
        Medecins = Dao.GetAllMedecins();
        // liste des clients mise en cache
        Clients = Dao.GetAllClients();

        // on note le succès
        Msg = "Initialisation réussie de l'application";
      }
      catch (Exception ex)
      {
        // on note l'erreur
        Msg = string.Format("L'erreur suivante s'est produite lors de l'initialisation de l'application : {0}", ex.ToString());
        Erreur = true;
      }
    }
  }
}