﻿
using System;
using System.Collections.Generic;
using RdvMedecins.Entites;

namespace RdvMedecins.Dao
{
  public interface IDao
  {
    // liste des clients
    List<Client> GetAllClients();
    // liste des médecins
    List<Medecin> GetAllMedecins();
    // liste des créneaux horaires d'un médecin
    List<Creneau> GetCreneauxMedecin(int idMedecin);
    // liste des RV d'un médecin donné, un jour donné
    List<Rv> GetRvMedecinJour(int idMedecin, DateTime jour);
    // ajouter un RV
    int AjouterRv(DateTime jour, int idCreneau, int idClient);
    // supprimer un RV
    void SupprimerRv(int idRv);
    // trouver une entité T via sa clé primaire
    T Find<T>(int id) where T : class;
  }
}
