﻿# SQL Manager Lite for MySQL 5.3.0.2
# ---------------------------------------
# Host     : localhost
# Port     : 3306
# Database : rdvmedecins-ef


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

SET FOREIGN_KEY_CHECKS=0;

USE `rdvmedecins-ef`;

#
# Structure for the `clients` table : 
#

CREATE TABLE `clients` (
  `ID` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `NOM` VARCHAR(30) COLLATE utf8_general_ci NOT NULL,
  `PRENOM` VARCHAR(30) COLLATE utf8_general_ci NOT NULL,
  `TITRE` VARCHAR(5) COLLATE utf8_general_ci NOT NULL,
  `VERSIONING` TIMESTAMP NOT NULL ON UPDATE CURRENT_TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY USING BTREE (`ID`) COMMENT ''
)ENGINE=InnoDB
AUTO_INCREMENT=100 AVG_ROW_LENGTH=4096 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci'
COMMENT=''
;

#
# Structure for the `medecins` table : 
#

CREATE TABLE `medecins` (
  `ID` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `NOM` VARCHAR(30) COLLATE utf8_general_ci NOT NULL,
  `PRENOM` VARCHAR(30) COLLATE utf8_general_ci NOT NULL,
  `TITRE` VARCHAR(5) COLLATE utf8_general_ci NOT NULL,
  `VERSIONING` TIMESTAMP NOT NULL ON UPDATE CURRENT_TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY USING BTREE (`ID`) COMMENT ''
)ENGINE=InnoDB
AUTO_INCREMENT=60 AVG_ROW_LENGTH=4096 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci'
COMMENT=''
;

#
# Structure for the `creneaux` table : 
#

CREATE TABLE `creneaux` (
  `ID` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `HDEBUT` INTEGER(11) NOT NULL,
  `MDEBUT` INTEGER(11) NOT NULL,
  `HFIN` INTEGER(11) NOT NULL,
  `MFIN` INTEGER(11) NOT NULL,
  `MEDECIN_ID` INTEGER(11) NOT NULL,
  `VERSIONING` TIMESTAMP NOT NULL ON UPDATE CURRENT_TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY USING BTREE (`ID`) COMMENT '',
   INDEX `MEDECIN_ID` USING BTREE (`MEDECIN_ID`) COMMENT '',
  CONSTRAINT `creneaux_ibfk_1` FOREIGN KEY (`MEDECIN_ID`) REFERENCES `medecins` (`ID`) ON DELETE CASCADE ON UPDATE NO ACTION
)ENGINE=InnoDB
AUTO_INCREMENT=508 AVG_ROW_LENGTH=455 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci'
COMMENT=''
;

#
# Structure for the `rvs` table : 
#

CREATE TABLE `rvs` (
  `ID` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `JOUR` DATE NOT NULL,
  `CRENEAU_ID` INTEGER(11) NOT NULL,
  `CLIENT_ID` INTEGER(11) NOT NULL,
  `VERSIONING` TIMESTAMP NOT NULL ON UPDATE CURRENT_TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY USING BTREE (`ID`) COMMENT '',
  UNIQUE INDEX `CRENEAU_ID_JOUR` USING BTREE (`JOUR`, `CRENEAU_ID`) COMMENT '',
   INDEX `CRENEAU_ID` USING BTREE (`CRENEAU_ID`) COMMENT '',
   INDEX `CLIENT_ID` USING BTREE (`CLIENT_ID`) COMMENT '',
  CONSTRAINT `rvs_ibfk_2` FOREIGN KEY (`CLIENT_ID`) REFERENCES `clients` (`ID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `rvs_ibfk_1` FOREIGN KEY (`CRENEAU_ID`) REFERENCES `creneaux` (`ID`) ON DELETE CASCADE ON UPDATE NO ACTION
)ENGINE=InnoDB
AUTO_INCREMENT=29 AVG_ROW_LENGTH=16384 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci'
COMMENT=''
;

#
# Data for the `clients` table  (LIMIT -495,500)
#

INSERT INTO `clients` (`ID`, `NOM`, `PRENOM`, `TITRE`, `VERSIONING`) VALUES

  (96,'Martin','Jules','Mr','2012-10-12 08:51:50'),
  (97,'German','Christine','Mme','2012-10-12 08:51:50'),
  (98,'Jacquard','Jules','Mr','2012-10-12 08:51:50'),
  (99,'Bistrou','Brigitte','Melle','2012-10-12 08:51:50');
COMMIT;

#
# Data for the `medecins` table  (LIMIT -495,500)
#

INSERT INTO `medecins` (`ID`, `NOM`, `PRENOM`, `TITRE`, `VERSIONING`) VALUES

  (56,'Pelissier','Marie','Mme','2012-10-12 08:51:50'),
  (57,'Bromard','Jacques','Mr','2012-10-12 08:51:50'),
  (58,'Jandot','Philippe','Mr','2012-10-12 08:51:50'),
  (59,'Jacquemot','Justine','Melle','2012-10-12 08:51:50');
COMMIT;

#
# Data for the `creneaux` table  (LIMIT -463,500)
#

INSERT INTO `creneaux` (`ID`, `HDEBUT`, `MDEBUT`, `HFIN`, `MFIN`, `MEDECIN_ID`, `VERSIONING`) VALUES

  (472,8,0,8,20,56,'2012-10-12 08:51:50'),
  (473,8,20,8,40,56,'2012-10-12 08:51:50'),
  (474,8,40,9,0,56,'2012-10-12 08:51:50'),
  (475,9,0,9,20,56,'2012-10-12 08:51:50'),
  (476,9,20,9,40,56,'2012-10-12 08:51:50'),
  (477,9,40,10,0,56,'2012-10-12 08:51:50'),
  (478,10,0,10,20,56,'2012-10-12 08:51:50'),
  (479,10,20,10,40,56,'2012-10-12 08:51:50'),
  (480,10,40,11,0,56,'2012-10-12 08:51:50'),
  (481,11,0,11,20,56,'2012-10-12 08:51:50'),
  (482,11,20,11,40,56,'2012-10-12 08:51:50'),
  (483,11,40,12,0,56,'2012-10-12 08:51:50'),
  (484,14,0,14,20,56,'2012-10-12 08:51:50'),
  (485,14,20,14,40,56,'2012-10-12 08:51:50'),
  (486,14,40,15,0,56,'2012-10-12 08:51:50'),
  (487,15,0,15,20,56,'2012-10-12 08:51:50'),
  (488,15,20,15,40,56,'2012-10-12 08:51:50'),
  (489,15,40,16,0,56,'2012-10-12 08:51:50'),
  (490,16,0,16,20,56,'2012-10-12 08:51:50'),
  (491,16,20,16,40,56,'2012-10-12 08:51:50'),
  (492,16,40,17,0,56,'2012-10-12 08:51:50'),
  (493,17,0,17,20,56,'2012-10-12 08:51:50'),
  (494,17,20,17,40,56,'2012-10-12 08:51:50'),
  (495,17,40,18,0,56,'2012-10-12 08:51:50'),
  (496,8,0,8,20,57,'2012-10-12 08:51:50'),
  (497,8,20,8,40,57,'2012-10-12 08:51:50'),
  (498,8,40,9,0,57,'2012-10-12 08:51:50'),
  (499,9,0,9,20,57,'2012-10-12 08:51:50'),
  (500,9,20,9,40,57,'2012-10-12 08:51:50'),
  (501,9,40,10,0,57,'2012-10-12 08:51:50'),
  (502,10,0,10,20,57,'2012-10-12 08:51:50'),
  (503,10,20,10,40,57,'2012-10-12 08:51:50'),
  (504,10,40,11,0,57,'2012-10-12 08:51:50'),
  (505,11,0,11,20,57,'2012-10-12 08:51:50'),
  (506,11,20,11,40,57,'2012-10-12 08:51:50'),
  (507,11,40,12,0,57,'2012-10-12 08:51:50');
COMMIT;

#
# Data for the `rvs` table  (LIMIT -498,500)
#

INSERT INTO `rvs` (`ID`, `JOUR`, `CRENEAU_ID`, `CLIENT_ID`, `VERSIONING`) VALUES

  (28,'2012-10-08',472,96,'2012-10-12 08:51:50');
COMMIT;



/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;