﻿-- SQL Manager Lite for SQL Server 3.8.0.3
-- ---------------------------------------
-- Host      : (local)
-- Database  : rdvmedecins-ef
-- Version   : Microsoft SQL Server  11.0.2100.60


--
-- Definition for table CLIENTS : 
--

CREATE TABLE [dbo].[CLIENTS] (
  [ID] int IDENTITY(1, 1) NOT NULL,
  [TITRE] nvarchar(5) COLLATE French_CI_AS NOT NULL,
  [NOM] nvarchar(30) COLLATE French_CI_AS NOT NULL,
  [PRENOM] nvarchar(30) COLLATE French_CI_AS NOT NULL,
  [TIMESTAMP] timestamp NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for table MEDECINS : 
--

CREATE TABLE [dbo].[MEDECINS] (
  [ID] int IDENTITY(1, 1) NOT NULL,
  [TITRE] nvarchar(5) COLLATE French_CI_AS NOT NULL,
  [NOM] nvarchar(30) COLLATE French_CI_AS NOT NULL,
  [PRENOM] nvarchar(30) COLLATE French_CI_AS NOT NULL,
  [TIMESTAMP] timestamp NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for table CRENEAUX : 
--

CREATE TABLE [dbo].[CRENEAUX] (
  [ID] int IDENTITY(1, 1) NOT NULL,
  [HDEBUT] int NOT NULL,
  [MDEBUT] int NOT NULL,
  [HFIN] int NOT NULL,
  [MFIN] int NOT NULL,
  [MEDECIN_ID] int NOT NULL,
  [TIMESTAMP] timestamp NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for table RVS : 
--

CREATE TABLE [dbo].[RVS] (
  [ID] int IDENTITY(1, 1) NOT NULL,
  [JOUR] datetime NOT NULL,
  [CLIENT_ID] int NOT NULL,
  [CRENEAU_ID] int NOT NULL,
  [TIMESTAMP] timestamp NOT NULL
)
ON [PRIMARY]
GO

--
-- Data for table dbo.CLIENTS  (LIMIT 0,500)
--

SET IDENTITY_INSERT [dbo].[CLIENTS] ON
GO

INSERT INTO [dbo].[CLIENTS] ([ID], [TITRE], [NOM], [PRENOM])
VALUES 
  (1, N'Mr', N'Martin', N'Jules')
GO

INSERT INTO [dbo].[CLIENTS] ([ID], [TITRE], [NOM], [PRENOM])
VALUES 
  (2, N'Mme', N'German', N'Christine')
GO

INSERT INTO [dbo].[CLIENTS] ([ID], [TITRE], [NOM], [PRENOM])
VALUES 
  (3, N'Mr', N'Jacquard', N'Jules')
GO

INSERT INTO [dbo].[CLIENTS] ([ID], [TITRE], [NOM], [PRENOM])
VALUES 
  (4, N'Melle', N'Bistrou', N'Brigitte')
GO

SET IDENTITY_INSERT [dbo].[CLIENTS] OFF
GO

--
-- Data for table dbo.CRENEAUX  (LIMIT 0,500)
--

SET IDENTITY_INSERT [dbo].[CRENEAUX] ON
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (1, 8, 0, 8, 20, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (2, 8, 20, 8, 40, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (3, 8, 40, 9, 0, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (4, 9, 0, 9, 20, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (5, 9, 20, 9, 40, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (6, 9, 40, 10, 0, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (7, 10, 0, 10, 20, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (8, 10, 20, 10, 40, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (9, 10, 40, 11, 0, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (10, 11, 0, 11, 20, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (11, 11, 20, 11, 40, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (12, 11, 40, 12, 0, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (13, 14, 0, 14, 20, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (14, 14, 20, 14, 40, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (15, 14, 40, 15, 0, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (16, 15, 0, 15, 20, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (17, 15, 20, 15, 40, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (18, 15, 40, 16, 0, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (19, 16, 0, 16, 20, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (20, 16, 20, 16, 40, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (21, 16, 40, 17, 0, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (22, 17, 0, 17, 20, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (23, 17, 20, 17, 40, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (24, 17, 40, 18, 0, 1)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (25, 8, 0, 8, 20, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (26, 8, 20, 8, 40, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (27, 8, 40, 9, 0, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (28, 9, 0, 9, 20, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (29, 9, 20, 9, 40, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (30, 9, 40, 10, 0, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (31, 10, 0, 10, 20, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (32, 10, 20, 10, 40, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (33, 10, 40, 11, 0, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (34, 11, 0, 11, 20, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (35, 11, 20, 11, 40, 2)
GO

INSERT INTO [dbo].[CRENEAUX] ([ID], [HDEBUT], [MDEBUT], [HFIN], [MFIN], [MEDECIN_ID])
VALUES 
  (36, 11, 40, 12, 0, 2)
GO

SET IDENTITY_INSERT [dbo].[CRENEAUX] OFF
GO

--
-- Data for table dbo.MEDECINS  (LIMIT 0,500)
--

SET IDENTITY_INSERT [dbo].[MEDECINS] ON
GO

INSERT INTO [dbo].[MEDECINS] ([ID], [TITRE], [NOM], [PRENOM])
VALUES 
  (1, N'Mme', N'Pelissier', N'Marie')
GO

INSERT INTO [dbo].[MEDECINS] ([ID], [TITRE], [NOM], [PRENOM])
VALUES 
  (2, N'Mr', N'Bromard', N'Jacques')
GO

INSERT INTO [dbo].[MEDECINS] ([ID], [TITRE], [NOM], [PRENOM])
VALUES 
  (3, N'Mr', N'Jandot', N'Philippe')
GO

INSERT INTO [dbo].[MEDECINS] ([ID], [TITRE], [NOM], [PRENOM])
VALUES 
  (4, N'Melle', N'Jacquemot', N'Justine')
GO

SET IDENTITY_INSERT [dbo].[MEDECINS] OFF
GO

--
-- Data for table dbo.RVS  (LIMIT 0,500)
--

SET IDENTITY_INSERT [dbo].[RVS] ON
GO

INSERT INTO [dbo].[RVS] ([ID], [JOUR], [CLIENT_ID], [CRENEAU_ID])
VALUES 
  (1, '20121008', 1, 1)
GO

SET IDENTITY_INSERT [dbo].[RVS] OFF
GO

--
-- Definition for indices : 
--

ALTER TABLE [dbo].[CLIENTS]
ADD CONSTRAINT [PK_dbo.CLIENTS] 
PRIMARY KEY CLUSTERED ([ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[MEDECINS]
ADD CONSTRAINT [PK_dbo.MEDECINS] 
PRIMARY KEY CLUSTERED ([ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX_MEDECIN_ID] ON [dbo].[CRENEAUX]
  ([MEDECIN_ID])
WITH (
  PAD_INDEX = OFF,
  DROP_EXISTING = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  SORT_IN_TEMPDB = OFF,
  ONLINE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[CRENEAUX]
ADD CONSTRAINT [PK_dbo.CRENEAUX] 
PRIMARY KEY CLUSTERED ([ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX_CLIENT_ID] ON [dbo].[RVS]
  ([CLIENT_ID])
WITH (
  PAD_INDEX = OFF,
  DROP_EXISTING = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  SORT_IN_TEMPDB = OFF,
  ONLINE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX_CRENEAU_ID] ON [dbo].[RVS]
  ([CRENEAU_ID])
WITH (
  PAD_INDEX = OFF,
  DROP_EXISTING = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  SORT_IN_TEMPDB = OFF,
  ONLINE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[RVS]
ADD CONSTRAINT [PK_dbo.RVS] 
PRIMARY KEY CLUSTERED ([ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[RVS]
ADD CONSTRAINT [RVS_uq] 
UNIQUE NONCLUSTERED ([JOUR], [CRENEAU_ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

--
-- Definition for foreign keys : 
--

ALTER TABLE [dbo].[CRENEAUX]
ADD CONSTRAINT [FK_dbo.CRENEAUX_dbo.MEDECINS_MEDECIN_ID] FOREIGN KEY ([MEDECIN_ID]) 
  REFERENCES [dbo].[MEDECINS] ([ID]) 
  ON UPDATE NO ACTION
  ON DELETE CASCADE
GO

ALTER TABLE [dbo].[RVS]
ADD CONSTRAINT [FK_dbo.RVS_dbo.CLIENTS_CLIENT_ID] FOREIGN KEY ([CLIENT_ID]) 
  REFERENCES [dbo].[CLIENTS] ([ID]) 
  ON UPDATE NO ACTION
  ON DELETE CASCADE
GO

ALTER TABLE [dbo].[RVS]
ADD CONSTRAINT [FK_dbo.RVS_dbo.CRENEAUX_CRENEAU_ID] FOREIGN KEY ([CRENEAU_ID]) 
  REFERENCES [dbo].[CRENEAUX] ([ID]) 
  ON UPDATE NO ACTION
  ON DELETE CASCADE
GO

