﻿-- SQL Manager Lite for SQL Server 3.8.0.3
-- ---------------------------------------
-- Host      : (local)
-- Database  : rdvmedecins-ef
-- Version   : Microsoft SQL Server  11.0.2100.60


--
-- Definition for table CLIENTS : 
--

CREATE TABLE [dbo].[CLIENTS] (
  [ID] int IDENTITY(1, 1) NOT NULL,
  [TITRE] nvarchar(5) COLLATE French_CI_AS NOT NULL,
  [NOM] nvarchar(30) COLLATE French_CI_AS NOT NULL,
  [PRENOM] nvarchar(30) COLLATE French_CI_AS NOT NULL,
  [TIMESTAMP] timestamp NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for table MEDECINS : 
--

CREATE TABLE [dbo].[MEDECINS] (
  [ID] int IDENTITY(1, 1) NOT NULL,
  [TITRE] nvarchar(5) COLLATE French_CI_AS NOT NULL,
  [NOM] nvarchar(30) COLLATE French_CI_AS NOT NULL,
  [PRENOM] nvarchar(30) COLLATE French_CI_AS NOT NULL,
  [TIMESTAMP] timestamp NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for table CRENEAUX : 
--

CREATE TABLE [dbo].[CRENEAUX] (
  [ID] int IDENTITY(1, 1) NOT NULL,
  [HDEBUT] int NOT NULL,
  [MDEBUT] int NOT NULL,
  [HFIN] int NOT NULL,
  [MFIN] int NOT NULL,
  [MEDECIN_ID] int NOT NULL,
  [TIMESTAMP] timestamp NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for table RVS : 
--

CREATE TABLE [dbo].[RVS] (
  [ID] int IDENTITY(1, 1) NOT NULL,
  [JOUR] datetime NOT NULL,
  [CLIENT_ID] int NOT NULL,
  [CRENEAU_ID] int NOT NULL,
  [TIMESTAMP] timestamp NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for indices : 
--

ALTER TABLE [dbo].[CLIENTS]
ADD CONSTRAINT [PK_dbo.CLIENTS] 
PRIMARY KEY CLUSTERED ([ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[MEDECINS]
ADD CONSTRAINT [PK_dbo.MEDECINS] 
PRIMARY KEY CLUSTERED ([ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX_MEDECIN_ID] ON [dbo].[CRENEAUX]
  ([MEDECIN_ID])
WITH (
  PAD_INDEX = OFF,
  DROP_EXISTING = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  SORT_IN_TEMPDB = OFF,
  ONLINE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[CRENEAUX]
ADD CONSTRAINT [PK_dbo.CRENEAUX] 
PRIMARY KEY CLUSTERED ([ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX_CLIENT_ID] ON [dbo].[RVS]
  ([CLIENT_ID])
WITH (
  PAD_INDEX = OFF,
  DROP_EXISTING = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  SORT_IN_TEMPDB = OFF,
  ONLINE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX_CRENEAU_ID] ON [dbo].[RVS]
  ([CRENEAU_ID])
WITH (
  PAD_INDEX = OFF,
  DROP_EXISTING = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  SORT_IN_TEMPDB = OFF,
  ONLINE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[RVS]
ADD CONSTRAINT [PK_dbo.RVS] 
PRIMARY KEY CLUSTERED ([ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[RVS]
ADD CONSTRAINT [RVS_uq] 
UNIQUE NONCLUSTERED ([JOUR], [CRENEAU_ID])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

--
-- Definition for foreign keys : 
--

ALTER TABLE [dbo].[CRENEAUX]
ADD CONSTRAINT [FK_dbo.CRENEAUX_dbo.MEDECINS_MEDECIN_ID] FOREIGN KEY ([MEDECIN_ID]) 
  REFERENCES [dbo].[MEDECINS] ([ID]) 
  ON UPDATE NO ACTION
  ON DELETE CASCADE
GO

ALTER TABLE [dbo].[RVS]
ADD CONSTRAINT [FK_dbo.RVS_dbo.CLIENTS_CLIENT_ID] FOREIGN KEY ([CLIENT_ID]) 
  REFERENCES [dbo].[CLIENTS] ([ID]) 
  ON UPDATE NO ACTION
  ON DELETE CASCADE
GO

ALTER TABLE [dbo].[RVS]
ADD CONSTRAINT [FK_dbo.RVS_dbo.CRENEAUX_CRENEAU_ID] FOREIGN KEY ([CRENEAU_ID]) 
  REFERENCES [dbo].[CRENEAUX] ([ID]) 
  ON UPDATE NO ACTION
  ON DELETE CASCADE
GO

